import { HttpInterface } from './interface'

export class Http extends HttpInterface {
  constructor() {
    super()
    this.init()
  }
  init() {
    this.interceptor = {
      before: null,
      after: null
    }
  }
  // 通用的post请求
  post(params) {
    return super.post(params)
  }
  // 通用的get请求
  get(params) {
    return super.get(params)
  }
}
